<?php

class AfterSalesProGr_AcsPoints_Model_Observer {
	
	public function convertQuoteToOrder( Varien_Event_Observer $observer ) {
		if ( $observer->getEvent()->getQuote()->getData( 'acs_pp_point_id' ) ) {
			$observer->getEvent()->getOrder()->setData( 'acs_pp_point_id', $observer->getEvent()->getQuote()->getData( 'acs_pp_point_id' ) );
		}
	}
	
	public function checkoutEventSavePoint( $observer ) {
		$acs_pp_point_id = $observer->getEvent()->getRequest()->getParam( 'acs_pp_point_id' );
		$quote           = $observer->getEvent()->getQuote();
		/* @var $quote Mage_Sales_Model_Quote */
		if ( ! empty( $acs_pp_point_id ) ) {
			try {
				$quote->setData( 'acs_pp_point_id', $acs_pp_point_id )->save();
			} catch ( Exception $e ) {
			}
		}
		
		return $this;
	}
}
