<?php

class AfterSalesProGr_AcsPoints_Sales_Model_Order_Api extends Mage_Sales_Model_Order_Api {
	
	public function info( $orderIncrementId ) {
		$result = parent::info( $orderIncrementId );
		$order  = $this->_initOrder( $orderIncrementId );
		if ( $order->getData( 'acs_pp_point_id' ) ) {
			$result['acs_pp_point_id'] = $order->getData( 'acs_pp_point_id' );
			$result['acs_pp_point_id_info'] = $order->getData( 'acs_pp_point_id' );
		}
		
		return $result;
	}
	
	protected function _getAttributes( $object, $type, array $attributes = null ) {
		$result = parent::_getAttributes( $object, $type, $attributes );
		if ( $type === 'order' ) {
			if ( $object->getData( 'acs_pp_point_id' ) ) {
				$result['acs_pp_point_id'] = $object->getData( 'acs_pp_point_id' );
				$result['acs_pp_point_id_get_atts'] = $object->getData( 'acs_pp_point_id' );
			}
		}
		
		return $result;
	}
	
}